module global
  
  implicit none 

  integer, parameter :: max_ima = 18
  integer, parameter :: max_ins = 3
  integer, parameter :: max_bands = 6        


  integer :: num_instr, idinst
  integer, dimension(max_ins) :: num_image
  integer, dimension(max_ins, max_bands) :: ip
  integer, dimension(2) :: imsize
  

  character(64), dimension(max_ima) :: c_image, c_bgima, c_expima, c_detima
  character(64)  :: ootlist
  logical        :: withoot

  integer :: pimin, pimax

  integer :: ipa_x, ipa_y, idm_x, idm_y
  real, dimension(:,:), allocatable :: iback,ifeld,oot_sky,jfeld,iches,iexmp
  integer, dimension(:,:), allocatable :: mfeld  
  double precision :: crpix1,crpix2,crval1,crval2
  double precision :: crdelt1,crdelt2,crota2,ra_pnt,dec_pnt,pa_pnt

end module global









