      subroutine lslstr(tblnam,ipa,mrk_lsl,x,y,isnr,scts,id_inst,id_band)

      use dal 

      implicit none
!      include 'include/cgenl.cmn'
!      include 'include/clslst.cmn'
!      include 'include/cimsky.cmn'
!      include 'include/cdbio_f90.cmn'

      character(len=*), intent(in) :: tblnam
      integer(kind=int32), intent(in) :: ipa, id_inst, id_band
      integer(kind=int32), intent(out) :: mrk_lsl
      real(kind=single), dimension(ipa), intent(out) :: x, y, isnr, scts  

      real(kind=single), dimension(:), pointer, save :: rp4, rp5, rp6, rp7, rp8
      integer(kind=int32), dimension(:), pointer, save ::ip1, ip2, ip3

      type(DataSetT) :: set
      type(TableT) :: tab
      type(ColumnT) :: col(20)

      integer(kind=int32) :: l1, i, is

      set = DataSet(tblnam, read) 
      tab = table(set, "SRCLIST")  
      mrk_lsl = numberOfRows(tab)

      is = 0
      if (mrk_lsl > 0) then
        l1=1
        col(l1) = column(tab,"BOX_ID_SRC",read)  
        ip1 => int32Data(col(l1))
        l1=l1+1 
        col(l1) = column(tab,"ID_INST",read)  
        ip2 => int32Data(col(l1))
        l1=l1+1 
        col(l1) = column(tab,"ID_BAND",read)  
        ip3 => int32Data(col(l1))
        l1=l1+1 
        col(l1) = column(tab,"X_IMA",read)
        rp4 => real32Data(col(l1))
        l1=l1+1 
        col(l1) = column(tab,"Y_IMA",read)
        rp5 => real32Data(col(l1))
        l1=l1+1
        col(l1) = column(tab,"SCTS",read)
        rp6 => real32Data(col(l1))
        l1=l1+1
        col(l1) = column(tab,"BG_MAP",read)
        rp7 => real32Data(col(l1))
        l1=l1+1
        col(l1) = column(tab,"SIGMA",read)
        rp8 => real32Data(col(l1))

        is = 0
        do i=0,mrk_lsl-1
          if (rp6(i) > 0.0) then
            if ((id_inst==ip2(i) .or. id_inst==0) .and. &
                 id_band==ip3(i)) then
              is = is+1
              x(is) = rp4(i)
              y(is) = rp5(i)
              isnr(is) = rp8(i)
              scts(is) = rp6(i)
            end if
          end if
        end do

        do i = 1,l1  
          call release(col(i))
        end do

      end if
      mrk_lsl = is

      call release(tab)
      call release(set) 

      end subroutine lslstr

